#pragma MSP stage(vertex)
layout(location=0) in vec4 position;
layout(location=1) in vec4 color;
out VertexOut
{
	vec4 color;
} vs_out;
void main()
{
	gl_Position = position;
	vs_out.color = color;
}

#pragma MSP stage(fragment)
layout(location=0) out vec4 frag_color;
void main()
{
	frag_color = vs_out.color;
}

/* Expected output: vertex
layout(location=0) in vec4 position;
layout(location=1) in vec4 color;
out VertexOut
{
	vec4 color;
} vs_out;
void main()
{
	gl_Position = position;
	vs_out.color = color;
}
*/

/* Expected output: fragment
layout(location=0) out vec4 frag_color;
in VertexOut
{
	vec4 color;
} vs_out;
void main()
{
	frag_color = vs_out.color;
}
*/
